summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Chapman <woppin@gmail.com>2016-02-17 23:53:16 +1100
committerDan Radez <dradez@redhat.com>2016-02-17 12:56:12 +0000
commitf1901f9b380a59194d1894e66ac7ab1f6d67eba9 (patch)
treebdd7f059c87654495a56965d08c7ad77d68189ec
parent06f9f5744da21b362d07ff005b4d297d79b74494 (diff)
Ensure shell doesn't exit even when eval succeeds
Change-Id: I38416967c72b03ae443d3ffa9e24fa23ad24ff74 (cherry picked from commit bc44e8d441cf239f3a8ed6e6f4f924be2ef18c41)
-rwxr-xr-xci/deploy.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index f7b30a1e..931881da 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -303,7 +303,7 @@ parse_inventory_file() {
exit 1
fi
- eval $(parse_yaml $INVENTORY_FILE) || echo "${red}Failed to parse inventory.yaml. Aborting.${reset}" && exit 1
+ eval $(parse_yaml $INVENTORY_FILE) || ( echo "${red}Failed to parse inventory.yaml. Aborting.${reset}" && exit 1 )
instack_env_output="
{